org.eclipse.wst.jsdt.core.dom

## Class InfixExpression.Operator

- java.lang.Object
- - org.eclipse.wst.jsdt.core.dom.InfixExpression.Operator

Enclosing class:
  InfixExpression

    public static class InfixExpression.Operator
    extends java.lang.Object

Infix operators (typesafe enumeration).

     InfixOperator:
        *    TIMES
        /  DIVIDE
        %  REMAINDER
        +  PLUS
        -  MINUS
        <<  LEFT_SHIFT
        >>  RIGHT_SHIFT_SIGNED
        >>>  RIGHT_SHIFT_UNSIGNED
        <  LESS
        >  GREATER
        <=  LESS_EQUALS
        >=  GREATER_EQUALS
        ==  EQUALS
        !=  NOT_EQUALS
        ^  XOR
        &  AND
        |  OR
        &&  CONDITIONAL_AND
        ||  CONDITIONAL_OR

### Field Summary

Fields
`static InfixExpression.Operator` `AND` AND "&" operator.
`static InfixExpression.Operator` `CONDITIONAL_AND` Conditional AND "&&" operator.
`static InfixExpression.Operator` `CONDITIONAL_OR` Conditional OR "||" operator.
`static InfixExpression.Operator` `DIVIDE` Division "/" operator.
`static InfixExpression.Operator` `EQUAL_EQUAL_EQUAL`
`static InfixExpression.Operator` `EQUALS` Equals "==" operator.
`static InfixExpression.Operator` `GREATER` Greater than ">" operator.
`static InfixExpression.Operator` `GREATER_EQUALS` Greater than or equals ">=;" operator.
`static InfixExpression.Operator` `IN`
`static InfixExpression.Operator` `INSTANCEOF`
`static InfixExpression.Operator` `LEFT_SHIFT` Left shift "<<" operator.
`static InfixExpression.Operator` `LESS` Less than "<" operator.
`static InfixExpression.Operator` `LESS_EQUALS` Less than or equals "<=" operator.
`static InfixExpression.Operator` `MINUS` Subtraction "-" operator.
`static InfixExpression.Operator` `NOT_EQUAL_EQUAL`
`static InfixExpression.Operator` `NOT_EQUALS` Not equals "!
`static InfixExpression.Operator` `OR` Inclusive OR "|" operator.
`static InfixExpression.Operator` `PLUS` Addition (or string concatenation) "+" operator.
`static InfixExpression.Operator` `REMAINDER` Remainder "%" operator.
`static InfixExpression.Operator` `RIGHT_SHIFT_SIGNED` Signed right shift ">>" operator.
`static InfixExpression.Operator` `RIGHT_SHIFT_UNSIGNED` Unsigned right shift ">>>" operator.
`static InfixExpression.Operator` `TIMES` Multiplication "*" operator.
`static InfixExpression.Operator` `XOR` Exclusive OR "^" operator.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InfixExpression.Operator` `toOperator(java.lang.String token)` Returns the infix operator corresponding to the given string, or `null` if none.
`java.lang.String` `toString()` Returns the character sequence for the operator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TIMES

    public static final InfixExpression.Operator TIMES

Multiplication "*" operator.

#### DIVIDE

    public static final InfixExpression.Operator DIVIDE

Division "/" operator.

#### REMAINDER

    public static final InfixExpression.Operator REMAINDER

Remainder "%" operator.

#### PLUS

    public static final InfixExpression.Operator PLUS

Addition (or string concatenation) "+" operator.

#### MINUS

    public static final InfixExpression.Operator MINUS

Subtraction "-" operator.

#### LEFT_SHIFT

    public static final InfixExpression.Operator LEFT_SHIFT

Left shift "<<" operator.

#### RIGHT_SHIFT_SIGNED

    public static final InfixExpression.Operator RIGHT_SHIFT_SIGNED

Signed right shift ">>" operator.

#### RIGHT_SHIFT_UNSIGNED

    public static final InfixExpression.Operator RIGHT_SHIFT_UNSIGNED

Unsigned right shift ">>>" operator.

#### LESS

    public static final InfixExpression.Operator LESS

Less than "<" operator.

#### GREATER

    public static final InfixExpression.Operator GREATER

Greater than ">" operator.

#### LESS_EQUALS

    public static final InfixExpression.Operator LESS_EQUALS

Less than or equals "<=" operator.

#### GREATER_EQUALS

    public static final InfixExpression.Operator GREATER_EQUALS

Greater than or equals ">=;" operator.

#### EQUALS

    public static final InfixExpression.Operator EQUALS

Equals "==" operator.

#### NOT_EQUALS

    public static final InfixExpression.Operator NOT_EQUALS

Not equals "!=" operator.

#### XOR

    public static final InfixExpression.Operator XOR

Exclusive OR "^" operator.

#### OR

    public static final InfixExpression.Operator OR

Inclusive OR "|" operator.

#### AND

    public static final InfixExpression.Operator AND

AND "&" operator.

#### CONDITIONAL_OR

    public static final InfixExpression.Operator CONDITIONAL_OR

Conditional OR "||" operator.

#### CONDITIONAL_AND

    public static final InfixExpression.Operator CONDITIONAL_AND

Conditional AND "&&" operator.

#### INSTANCEOF

    public static final InfixExpression.Operator INSTANCEOF

#### IN

    public static final InfixExpression.Operator IN

#### EQUAL_EQUAL_EQUAL

    public static final InfixExpression.Operator EQUAL_EQUAL_EQUAL

#### NOT_EQUAL_EQUAL

    public static final InfixExpression.Operator NOT_EQUAL_EQUAL

### Method Detail

#### toString

    public java.lang.String toString()

Returns the character sequence for the operator.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the character sequence for the operator

#### toOperator

    public static InfixExpression.Operator toOperator(java.lang.String token)

Returns the infix operator corresponding to the given string, or `null` if none.

`toOperator` is the converse of `toString`: that is, `Operator.toOperator(op.toString()) == op` for all operators `op`.

Parameters:
  `token` - the character sequence for the operator
Returns:
  the infix operator, or `null` if none